<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/model.xhtml">

	
	<ui:define name="conteudo">
		

	<h:form id="form">
    <p:growl id="msgs" showDetail="true" skipDetailIfEqualsSummary="true" />
 
    <p:dataTable id="Livros" var="livro" value="#{livrosView.livros}" editable="true" style="margin-bottom:20px" scrollable="true" scrollHeight="700">
        <f:facet name="header">
            <h3>Meus Livros Favoritos</h3>
        </f:facet>
 
        <p:ajax event="rowEdit" listener="#{livrosView.onRowEdit}" update=":form:msgs" />
        <p:ajax event="rowEditCancel" listener="#{livrosView.onRowCancel}" update=":form:msgs" />
 
        <p:column headerText="Capa" style="width: 140px">
            <p:graphicImage value="#{livro.foto}"/> 
        </p:column>
 
        <p:column headerText="Título" style="width: 500px">
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{livro.titulo}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{livro.titulo}" style="width:100%" label="Year"/></f:facet>
            </p:cellEditor>
        </p:column>
 
        <p:column headerText="Descrição" >
            <p:cellEditor>
                <f:facet name="output"><h:outputText value="#{livro.descricao}" /></f:facet>
                <f:facet name="input"><p:inputText value="#{livro.descricao}" style="width:100%" label="Year"/></f:facet>
            </p:cellEditor>
        </p:column>
 
        
        
        <p:column headerText="Edit" style="width:35px">
        	<p:rowEditor />
        </p:column>
 
        <p:column style="width:100px">
	        <p:commandButton action="#{livrosView.deletar}" update="form" value="Remover Livro" icon="ui-icon-minus" style="background: #FF6347 !important; width:100px" title="Remover">
		    	<f:setPropertyActionListener value="#{livro}" target="#{livrosView.selectedBook}" /> 
		    </p:commandButton>
		            
        </p:column>
    </p:dataTable>
    
    
    </h:form>
	
	</ui:define>	

</ui:composition>